Bug 465443 - Error message in transaction log while installing nedit
Error message in transaction log while installing nedit
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nedit (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 07:06 EDT by Alexander Todorov
Modified: 2013-07-02 19:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-10-03 07:06:59 EDT
Description of problem:
error installing nedit

Version-Release number of selected component (if applicable):


How reproducible:
nedit-5.5-20.el5

Steps to Reproduce:
1. @everything install
2.
3.
  
Actual results:
Installing nedit-5.5-20.el5.s390x
/var/tmp/rpm-tmp.66846: line 2: /usr/bin/gtk-update-icon-cache: No such file or directory


Expected results:
No errors

Additional info:
This is package ordering issue - nedit installs before gtk2 which provides /usr/bin/gtk-update-icon-cache
Comment 1 Jindrich Novy 2008-10-03 11:54:36 EDT
This could be worked around by conditionally call gtk-icon-cache only in case it exists.

Do you see the installation going on? The scriptlets are implemented in the way that they shouldn't fail if gtk-update-icon-cache doesn't exist or fails for some reason. Only the error message is printed.
Comment 2 Alexander Todorov 2008-10-06 03:18:22 EDT
Yes, installation continues but the error message is ungly. Also it causes automated tests to produce false negative results.
Comment 3 Jindrich Novy 2008-10-06 04:39:18 EDT
Fix for it committed to CVS.
Comment 7 errata-xmlrpc 2009-01-20 16:24:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0153.html

Note You need to log in before you can comment on or make changes to this bug.